story9app/urls.py
from django.urls import path
from . import views

app_name = 'story9app'

urlpatterns = [
	path('', views.index, name='index'),
	path('login/', views.login, name='login'),
]

story_9/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story9app.urls')),
]

story9app/models.py
from django.db import models

# Create your models here.

story9app/views.py
from django.shortcuts import render
from django.shortcuts import redirect
from django.http import HttpResponse
from datetime import datetime
from django.contrib.auth import authenticate, login as auth_login

# Create your views here.

def index(request):
	return render(request, 'story9app/index.html')

def login(request):
	if request.user.is_authenticated:
		return redirect('story9app:index')

	else:
		if request.method == 'POST':
			username = request.POST.get('username')
			password = request.POST.get('password')
			user = authenticate(request, username=username, password=password)

			if user is not None:
				auth_login(request.user)
				request.session['login timestamp'] = str(datetime.now())
				return redirect('story9app:index')

			else:
				pass
				return render(request, 'story9app/login.html', 'error':'Username or password does not match')


	return render(request, 'story9app/login.html')

def logout(request):
	auth_logout(request)
	return redirect('story9app:index')

story9app/templates/index.html
<!DOCTYPE html>
<html>

<head>

	<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>Home</title>

</head>

<body>

	{% if user.is_authenticated %}
		<h3>Selamat Datang, {{ user.username }}!</h3>

	{% else %}
		<h2>Sorry, you are not logged in.</h2>
		<p><a href="{% url 'story9app:login' %}" class="btn btn-warning header-subtitle">Click here to log in</a></p>

	{% endif %}
	
</body>

</html>

story9app/templates/login.html
<!DOCTYPE html>
<html>

<head>

	<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
	<title>Log in</title>

</head>

<body>
	<h1>Welcome!<br>Before you access this website anyh further, you need to log in first.</h1>
	<h2>Log in</h2>

	<form method="post">

		{% csrf_token %}
		Username<br>
		<input type="text" name="username" placeholder="Username" required="True"><br>
		Password:<br>
		<input type="password" name="password" required="True"><br><br>
		<input type="submit" value="Log in">

	</form>
	
	{% if error %}
		<p>{{ error }}</p>
	{% endif %}

</body>

</html>